Bug 219720 - (CVE-2006-6515) CVE-2006-6515: mantis bug reminder threshold issue
CVE-2006-6515: mantis bug reminder threshold issue
Status: CLOSED WONTFIX
Product: Fedora
Classification: Fedora
Component: mantis (Show other bugs)
4
All Linux
medium Severity medium
: ---
: ---
Assigned To: Gianluca Sforna
Fedora Extras Quality Assurance
: Security
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2006-12-14 17:02 EST by Ville Skyttä
Modified: 2007-11-30 17:11 EST (History)
2 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2007-01-09 05:47:05 EST
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description Ville Skyttä 2006-12-14 17:02:04 EST
http://nvd.nist.gov/nvd.cfm?cvename=CVE-2006-6515

"Mantis before 1.1.0a2 sets the default value of $g_bug_reminder_threshold to
"reporter" instead of a more privileged role, which has unknown impact and
attack vectors, possibly related to frequency of reminders."

The CVE entry says 1.0.6 is vulnerable, however it looks to me as if it's not,
see the change in revision 1.283.2.1.2.1.2.1.2.2.2.11 at
http://mantisbt.cvs.sourceforge.net/mantisbt/mantisbt/config_defaults_inc.php?view=log

FC-3 and FC-4 appear to be vulnerable.
Comment 1 Gianluca Sforna 2006-12-17 04:02:40 EST
AFAICT, 1.0.6 is definetely not affected:

http://www.mantisbugtracker.com/bugs/view.php?id=7543

I should ask on extras-list what I am supposed to do with legacy stuff, I
believe security is important but I can't afford to guarantee updates for 5
branches.

However, the situation could improve if:

http://www.mantisbugtracker.com/bugs/view.php?id=7663

will be done in time for 1.1.0
Comment 2 Gianluca Sforna 2007-01-09 05:47:05 EST
FC3/4 are not receiving updates anymore.

FC5 and newer are not affected. Closing

Note You need to log in before you can comment on or make changes to this bug.